Bug 263081 - autofs 5 and large groups
autofs 5 and large groups
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: autofs (Show other bugs)
5.0
All All
medium Severity medium
: ---
: ---
Assigned To: Ian Kent
:
Depends On:
Blocks: 425910
  Show dependency treegraph
 
Reported: 2007-08-29 08:01 EDT by Ryan Thomas
Modified: 2008-05-21 10:37 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0354
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:37:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch fixing group lookups for large groups (1.97 KB, text/plain)
2007-08-29 08:01 EDT, Ryan Thomas
no flags Details

  None (edit)
Description Ryan Thomas 2007-08-29 08:01:31 EDT
Description of problem: autofs 5 has issues with mounts owned by groups with
large numbers of members.


Version-Release number of selected component (if applicable):
autofs-5.0.1-0.rc2.43.0.2


How reproducible: 100%


Steps to Reproduce:
1. Create a group with a thousand members
2. chown a directory to be mounted so that it is owned by the large group
3. attempt mounting the directory
4. The directory seems to mount but an error like the following is written to
the log.
automount[4949]: do_mount_indirect: failed to get group info from getgrgid_r
  
Actual results:
logfiles filled with error messages

Expected results:
No error messages

Additional info:
I've prepared a patch for this issue that I am using locally.  It or a cleaned
up version should be included in an update to the autofs package.
Comment 1 Ryan Thomas 2007-08-29 08:01:31 EDT
Created attachment 178841 [details]
Patch fixing group lookups for large groups
Comment 2 Ian Kent 2007-08-29 08:20:26 EDT
(In reply to comment #1)
> Created an attachment (id=178841) [edit]
> Patch fixing group lookups for large groups
> 

Ha .. I thought the buffer space might end up a
problem at some point.

Thanks for the patch, I'll use it after a bit of
re-formating and the like.

Ian
Comment 3 Ian Kent 2007-08-29 08:28:54 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > Created an attachment (id=178841) [edit] [edit]
> > Patch fixing group lookups for large groups
> > 
> 
> Ha .. I thought the buffer space might end up a
> problem at some point.

It's strange that getgrgid_r works at all when more
space than _SC_GETGR_R_SIZE_MAX is needed.

But the patch works ok for you, yes?

Ian
Comment 4 Ryan Thomas 2007-08-29 08:46:41 EDT
It seems to.  I don't get the error messages.  I don't know what what security
aspect of mounting was actually broken when the getgrgid_r call failed so I
can't test that my patch plugged an access bug.
Comment 5 Ian Kent 2007-08-29 08:56:44 EDT
(In reply to comment #4)
> It seems to.  I don't get the error messages.  I don't know what what security
> aspect of mounting was actually broken when the getgrgid_r call failed so I
> can't test that my patch plugged an access bug.

I'll see what I can find out.
Thanks
Comment 6 RHEL Product and Program Management 2007-10-15 23:43:24 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 12 errata-xmlrpc 2008-05-21 10:37:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0354.html

Note You need to log in before you can comment on or make changes to this bug.